適用於服務提供者的 vCloud Director 8.10 | 2016 年 5 月 26 日 | 組建編號 3879706 (安裝程式組建編號 3880025)

查看這些版本說明的新增項目和更新。

版本說明內容

此版本說明涵蓋以下主題:

文件

若要存取一組完整的適用於服務提供者的 vCloud Director 8.10 說明文件,請前往適用於服務提供者的 vCloud Director 說明文件頁面。

此版本中的新增功能

新功能

  • 對功能的 UI 存取權已擴充
    許多以前只可從 vCloud API 存取的作業現在可以在 vCloud Director Web 主控台中存取。

  • 虛擬機器相似性規則
    已經為虛擬機器的相似性和反相似性規則的建立新增支援。您可以使用 vCloud Director Web 主控台或 vCloud API 建立相似性規則,該規則允許您在不同主機上分配虛擬機器群組,或者將虛擬機器群組保留在特定主機上

  • 物件擴充性
    已採用新的物件擴充性功能。vCloud Director 物件延伸是外部應用程式,可參與、影響或覆寫 vCloud Director 套用至複雜作業 (例如 vApp 安裝和放置) 的邏輯。

  • 進階虛擬機器內容和主機組態
    若服務提供者已啟用某資源集區 (在組織中支援 VDC) 中 ESXi 主機的自訂組態,則您可以將 VCENTER 網域中的物件中繼資料套用至可以利用這些主機之特殊內容的虛擬機器。系統使用該中繼資料將虛擬機器放置在適當的主機上。

  • VDC 權限
    承租人管理員可以限制所有組織成員或所選取使用者存取組織 VDC。

  • 承租人節流
    系統管理員可以限制使用者或組織可耗用的資源數量。這確保不會因某個承租人長時間執行並行作業而耗用過多系統資源。

  • 自動安裝
    系統組態公用程式現在支援指令碼式的自動安裝。

  • 已擴充的硬體版本和客體作業系統支援
    系統現在支援硬體版本 11 和 Windows 10。

其他變更

  • 不支援 vShield Manager
    此版本的 vCloud Director 不支援與 VMware vShield Manager 的整合。正在使用 vShield Manager 的現有安裝必須在升級至 vCloud Director 8.10 之前將其 vShield Manager 安裝移轉至 VMware NSX Manager。舊版 vShield Manager Edge 應用裝置在此版本中仍受支援,但我們建議儘快將這些 Edge 升級至 NSX Edge。如需升級 NSX Edge 的相關資訊,請參閱《vCloud Director 安裝和升級指南》。

  • 較舊的 vCloud API 版本已過時
    截至 vCloud Director 8.10,vCloud API 的下列版本已過時:

    • 1.5
    • 5.1
    • 5.7
    • 5.8
    • 5.9
    • 5.10
    • 5.11
    • 5.12
    • 6.0
    • 7.0
    • 11.0
    • 12.0
    • 14.0
    • 16.0
    • 18.0
    • 19.0

    只要 API 的較新版本支援對應功能組,API 版本就會過時。建議不要使用已過時的 API 版本。可以在過時之後的版本中移除對 API 版本的支援。

  • 不再使用 vcloud-console-debug.log
    從此版本開始,原先記錄至 vcloud-console-debug.log 的資訊現在記錄至 console-proxy.log。由於此項變更,現有的 vcloud-console-debug.log 檔案和任意已編號的備份將不再變換和移除。您可以手動移除這些檔案以回收它們耗用的磁碟空間。

系統需求與安裝

相容性矩陣圖

請參閱《VMware 產品互通性對照表》,以瞭解關於下列內容的最新資訊:

  • vCloud Director 與其他 VMware 平台的互通性
  • 支援的 vCloud Director 資料庫
  • 升級路徑

支援的 vCloud Director 伺服器作業系統

  • CentOS 6
  • CentOS 7
  • Red Hat Enterprise Linux 5,Update 4-10
  • Red Hat Enterprise Linux 6,Update 1-7
  • Red Hat Enterprise Linux 7

支援的 vCloud Director 資料庫

《VMware 產品互通性對照表》提供了關於此版本 vCloud Director 支援的資料庫的最新資訊。如需建議的資料庫伺服器組態資訊,請參閱《vCloud Director 安裝和升級指南》。

用於儲存歷史度量資料的受支援資料庫

您可以設定 vCloud Director 安裝以儲存 vCloud Director 收集之關於虛擬機器效能和資源耗用量的度量。歷史度量的資料儲存於由 Cassandra 支援的 KairosDB 資料庫中。vCloud Director 支援下列 KairosDB 和 Cassandra 版本。

  • KairosDB 0.9.1
  • Cassandra 1.2、2.0 和 2.2

如需詳細資訊,請參閱《vCloud Director 安裝和升級指南》。

磁碟空間需求

每一個 vCloud Director 伺服器需要大約 2100 MB 的可用空間,供安裝檔案及記錄檔使用。

記憶體需求

每一個 vCloud Director 伺服器必須至少佈建 6 GB 的記憶體。

必要的 Linux 軟體套件

每一個 vCloud Director 伺服器必須包括數個常用 Linux 軟體套件的安裝。依預設,這些套件會與作業系統軟體一起安裝。如果有任何遺漏,則安裝程式會失敗並顯示診斷訊息。

alsa-lib    
bash
chkconfig
coreutils
findutils
glibc
grep
initscripts
krb5-libs
libgcc
libICE libSM libstdc libX11 libXau libXdmcp libXext libXi libXt libXtst
module-init-tools net-tools pciutils procps redhat-lsb sed tar which

除了安裝程式需要的這些套件外,數個設定網路連線並建立 SSL 憑證的程序需要使用 Linux bind-utils 套件中提供的 Linux nslookup 命令。

支援的 LDAP 伺服器

vCloud Director 允許您從下列 LDAP 服務匯入使用者和群組。

平台 LDAP 服務 驗證方法
Windows Server 2003 Active Directory 簡單, 簡單 SSL, Kerberos, Kerberos SSL
Windows Server 2008 Active Directory Simple
Windows Server 2012 Active Directory 簡單, 簡單 SSL, Kerberos, Kerberos SSL
Windows 7 (2008 R2) Active Directory 簡單, 簡單 SSL, Kerberos, Kerberos SSL
Linux OpenLDAP 簡單, 簡單 SSL

支援的安全性通訊協定及加密套件

vCloud Director 要求用戶端連線是安全的。SSL 版本 3 經發現有嚴重的安全性漏洞,已不再包含於伺服器在進行用戶端連線時提供使用的一組預設通訊協定中。支援下列安全性通訊協定:

  • TLS 1.0 版
  • TLS 1.1 版
  • TLS 1.2 版

支援的加密套件包括:

  • TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
  • TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
  • TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA
  • TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA
  • TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA
  • TLS_ECDH_RSA_WITH_AES_256_CBC_SHA
  • TLS_RSA_WITH_AES_256_CBC_SHA
  • TLS_RSA_WITH_AES_128_CBC_SHA
  • TLS_RSA_WITH_3DES_EDE_CBC_SHA

您可以使用儲存格管理工具重新設定一組支援的 SSL 通訊協定或加密方式。請參閱《vCloud Director 管理員指南》中的〈單元管理工具參考〉。

支援的瀏覽器

vCloud Director Web 主控台與最新版本的 Google Chrome、Mozilla Firefox 和 Microsoft Internet Explorer 相容。

Linux 平台上支援的瀏覽器

在這些 Linux 平台上,vCloud Director Web 主控台與最新版及前一版的 Mozilla Firefox 和 Google Chrome 相容。

  • CentOS 7.x
  • Red Hat Enterprise Linux 7.x
  • Ubuntu 14.x

Windows 平台上支援的瀏覽器

在 Windows 平台上,vCloud Director Web 主控台與至少一個 Microsoft Internet Explorer 版本相容。某些 Windows 平台也與最新版及前一版的 Mozilla Firefox 和 Google Chrome 相容。

vCloud Director Web 主控台與 Microsoft Edge 瀏覽器不相容。

平台 Google Chrome Mozilla Firefox Internet Explorer
Windows XP Pro 10.x,11.x
Windows Server 2003 Enterprise Edition 10.x,11.x
Windows Server 2008 10.x,11.x
Windows Server 2008 R2 10.x,11.x
Windows Vista 10.x,11.x
Windows 7 10.x,11.x
Windows 8 10.x,11.x

Macintosh 平台上支援的瀏覽器

在 Macintosh 平台上,vCloud Director Web 主控台與最新版及前一版的 Mozilla Firefox 和 Google Chrome 相容。

支援的 Adobe Flash Player 版本

vCloud Director Web 主控台需要 Adobe Flash Player 11.2 或更新版本。只支援 32 位元版本。

支援的 Java 版本

vCloud Director 用戶端必須已安裝並啟用 JRE 1.6.0 Update 10 或更新版本。只支援 32 位元版本。

支援的客體作業系統

vCloud Director 支援其虛擬機器範本和虛擬機器中的多種 32 位元和 64 位元作業系統。VMware 建議您使用第 10 版,但是可以匯入第 4、7、8 和 9 版虛擬機器。

Microsoft Windows 客體作業系統支援

支援的 Microsoft Windows 客體作業系統如下。除非另有說明,否則支援所有作業系統版本及 32 位元/64 位元版本。除非特別說明,否則支援所有 SP、次要版本或維護版本。

  • Microsoft Windows Server 2012 R2 64 位元
  • Microsoft Windows Server 2012 64 位元
  • Microsoft Windows 10
  • Microsoft Windows 8
  • Microsoft Windows 7
  • Microsoft Windows Server 2008 R2 64 位元
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003
  • Microsoft Windows Small Business Server 32 位元
  • Microsoft Windows Vista
  • Microsoft Windows XP Professional

UNIX/Linux 客體作業系統支援

支援的 UNIX 與 Linux 客體作業系統如下。除非另有說明,否則支援所有作業系統版本及 32 位元/64 位元版本。除非特別說明,否則支援所有 SP、次要版本或維護版本。

  • Red Hat Enterprise Linux 4-7
  • SUSE Enterprise Linux 10-12
  • Oracle Linux 4-7
  • CentOS
  • Ubuntu Linux
  • 其他 3.x Linux
  • 其他 2.6.x Linux
  • 其他 2.4.x Linux
  • 其他 Linux

已知問題

一般問題

  • 當 vCloud Director 使用 Oracle 資料庫時,可能不會採用佇列的資源密集型作業的限制。
    在使用 Oracle 資料庫的 vCloud Director 安裝中,可能會超出所設定的系統限制,這些限制為每個使用者的已佇列資源密集型作業的數目每個組織的已佇列源密集型作業的數目指定數值。此問題不會影響使用 Microsoft SQL 伺服器資料庫的 vCloud Director 安裝。

    因應措施:無。

  • 已停用的 vCenter Server 繼續接受 vCloud Director 作業
    在您已經使用 vCloud Director Web 主控台停用 vCenter Server 之後,仍然接受觸發 vCenter 作業 (例如,開啟虛擬機器電源) 的申請。

    因應措施:若要停用登錄至 vCloud Director 的 vCenter Server,請使用 vCloud Director Web 主控台停用所有由 vCenter Server 支援的提供者 VDC。

安裝與升級問題

  • Edge Gateway 擁有複雜組態時,NSX 6.2 Edge 重新部署失敗
    在您升級至 NSX 6.2 之後,擁有複雜組態 (包括許多防火牆規則、NAT 規則和靜態路由) 的 Edge Gateway 的重新部署會失敗,並出現「無法重新部署 Edge Gateway...重新部署無法升級」格式的錯誤,將 vCloud Director 置於「失敗的重新部署」狀態,並使 [重新部署] 以外的所有選項在 UI 中無法使用。

    因應措施:在 Edge Gateway 上重新執行重新部署作業。

  • 自動安裝後,vCloud Director 無法在系統重新開機時自動啟動
    若您使用 -unattended 選項安裝 vCloud Director,安裝會成功,但無法設定伺服器以在重新開機時啟動 vCloud Director。

    因應措施:安裝完成後,執行 Linux chkconfig 命令:

    chkconfig --add vmware-vcd

    此命令會設定系統以自動啟動 vCloud Director。

網路問題

  • [提供者 VDC] > [外部網路] 索引標籤未列出所有可用的外部網路
    使用 vCloud Director Web 主控台列出提供者 VDC 中可用的外部網路時,某些可用的網路可能不會顯示。

    因應措施:使用 vCloud API 列出提供者 VDC 中的外部網路。

虛擬機器與 vApp 問題

  • 彈性 VDC 和 vSAN 的相似性規則限制
    在 vSAN 磁碟區上包含一或多個資料存放區的彈性 VDC (一個 VDC 有多個資源集區) 中,您無法建立相似性規則來要求移轉任何虛擬機器至不同的資源集區。

    因應措施:建立相似性規則時,僅在共用的資料存放區上指定虛擬機器。

  • 建立獨立硬碟的要求失敗,但看上去已成功
    儘管建立獨立硬碟的要求有時可能會記錄為成功,但作業失敗。磁碟不存在,且記錄包含以下格式的訊息:

    無法執行要求的作業,因為未正確建立磁碟「{ID}」。

    因應措施:重試此作業

API 問題

  • OperationLimitsSettings 要求本文必須包含所有元素。
    下列格式的 vCloud API 要求:

    PUT https://vcloud.example.com/api/admin/extension/settings/operationLimitsSettings

    會失敗,除非要求本文中的所有元素 (甚至是在架構參考中顯示為選擇性的那些元素) 都存在。

    因應措施:進行類似如下的要求:

    GET https://vcloud.example.com/api/admin/extension/settings/operationLimitsSettings

    並將回應本文用作新要求的範本。

  • 架構參考中的 vCloud API 已變更類型的錯誤清單
    vCloud API 架構差異的 vCloud API 已變更類型頁面列出了在 API 9.0 版中已移除且在 API 20.0 版中已新增的許多類型。任何以這種方式列出的類型實際上在 API 的任一版本中都沒有變更。

check-circle-line exclamation-circle-line close-line
Scroll to top icon